View Issue Details

IDProjectCategoryView StatusLast Update
0002899ScribusUser Interfacepublic2016-05-14 20:27
Reporterkavs0007 Assigned To 
PrioritynormalSeverityfeatureReproducibilityalways
Status acknowledgedResolutionopen 
Product Version1.3.3cvs 
Target VersionFixed in Version 
Summary0002899: snap to baseline grid
DescriptionI think will be useful to make di "guide base lines" (I don't know how to call in english, I use italian version..., well, the grey ones...) snappable.
The complete grid (green one) is not much useful because vertical lines doesn't match with margins and colmns, so I decided to use the Guide base lines (grey ones).
But the column guide do snap, others no...

Additional InformationAnother solution maybe separate horizontal and vertical lines in the "green" grid, so I can use horizontal "green" lines and not the grey ones

Merged duplicate 0008483 in to this ticket.
Tagssnapping
PatchNo

Relationships

related to 0003052 feedbackTsoots desire persistence of UI settings 
related to 0003723 acknowledged modifier key to override snap to grid 
related to 0011037 new align (and distribute?) by the baseline 
has duplicate 0008483 closedjghali baseline of text should snap to guides 
has duplicate 0011038 closed snap to items also for the baseline 
related to 0003538 feedback "snap to..." options should be placed in guideline manager and in configuration 
related to 0003865 closedjghali Lock first line to baseline grid. 

Activities

PLucAuclair

2006-03-08 18:41

reporter   ~0009162

Would love this too!

mkoren

2006-03-13 20:34

reporter   ~0009238

I think baseline snapping is a good idea, so objects can be synchronized with text.
kavs0007, in the mean time, you could also make your own guides (the blue ones), with the manage guides tool on the page menu. You can have as many as you want automatically generated and apply them to all pages if you want them to act like the baseline grid.
This brings up a good point: all these concepts--main grid, baseline grid, guides, and margins--are closely related; maybe they could be unified into a single general framework. You would have a single general way to create guide lines, either individaully or in autospaced groups, the latter either by absolute spacing (like the baseline grid) or by subdivision of an existing space (the way you can with guides). You could define multiple guide sets as styles and apply them to as many pages or frames as you like, and any set could be allowed to be used as baselines for text, column boundaries, page subdivisions, print cropping boundaries (like margins), etc.--not only a single and/or equally spaced special-purpose set for each function. Any set could be set to snap or not independently.
What would be really neat is to allow them to be defined relative to each other (equal subdivisions within margins or columns, for instance) and/or to other objects (like bug 3343), and for some or all of these relationships to be able to be made persistent--so changing line spacing could adjust the baseline grid, or vice-versa, and persistently-snapped objects would adjust accordingly, or your four equal subdivisions of a column, along with anything snapped to them, would auto-update if you change the size of the column. Of course persistent snapping would be optional. Some CAD programs have facilities for this kind of thing.
This would integrate nicely with a more general idea for relative placement and stylable frame positioning that I had, which I'll post as soon as I finish thinking it through coherently. :)

louisdesjardins

2006-04-13 11:09

developer   ~0009884

Interesting! Though I do have a little concern: a snap to guide option is useful when you have a few guides, imo. The baseline grid has so many lines... it could become annoying to make this grid "snapable". What do you think?

How about an option to make any specific line on that grid snapable through the Guide Manager and show it with a different color?

I think this would help the designer better than having a whole lot of snapable lines everywhere on the page. But we could leave the option of making all the guides snapable as well, whenever needed, to make everyone happy!

Other consideration: I barely never use the small and large grids. But I use all the time the baseline grid and the margins and the columns guides. Mainly because this is really what defines the structure of the pages in publications of many pages, with text and pictures (eg. magazines). Of course, if I were to design posters and stand alone ad pages, I would prefer (maybe) to use the large/small grid. This is to say we might want to make a better integration of the columns/margins guides AND baseline grid on one hand, and the regular grid on the other. I have difficulties considering working with both at the same time. I think they exist for different purposes.

The synchronization of objects with text can be achieved a different way by anchoring objects to text. The objects then follow the paragraph settings or the wordspace, depending on where it is located. The object can also be aligned just like a paragraph. Changes into paragraph formatting make the objects move as well, with the text.

I agree that baseline grid should be set not too far away from the linespacing. Wether change in one should reflects on the other is questionable imo. Considering the fact that there may be lots of various linespace in a page, which one is THE one?

That said, I still think the idea is worth digging! The idea per se is interesting. I wonder what others would say.

mkoren

2006-04-14 17:16

reporter   ~0009963

Great idea to be able to set individual grid lines snappable. This could apply to normal guides too: you might want to define all the guides you need for various aspects of the layout but then on the fly enable or disable specific ones for snapping, depending on what aspect you're working on. If you could define separate sets of guides that you could switch between that would also help.

Maybe another idea could be to snap only when holding down some modifier key, so you can freely position objects except when you specifically want to snap.

>> This is to say we might want to make a better integration of the columns/margins guides AND baseline grid on one hand, and the regular grid on the other.

Arbitrary user-defined grid/guide sets where you can select at any time which one(s) to use would let everyone use exactly what they want.

Incidentally, a suggestion christoph_s brought up in bug 0002724 to have different guides for different layers could be possible with this scheme--it could be as simple or as intricate as users want.

>> The synchronization of objects with text can be achieved a different way by anchoring objects to text.

Right, like we can do to some extent now with inline frames. But snapping to a baseline would provide a different possibility, anchoring an object to a line in a text frame, regardless of what text is actually there. Both mechanisms are useful.

>> I agree that baseline grid should be set not too far away from the linespacing. Wether change in one should reflects on the other is questionable imo. Considering the fact that there may be lots of various linespace in a page, which one is THE one?

There are two ways you can define a baseline grid--as a fixed sequence with a set spacing between the lines (like it is now) or with the gridlines actually anchored to the real text baselines. If you change a paragraph's line spacing, the whole grid adjusts accordingly. The point of the second approach would be to allow what I described above, snapping another object to a given line of text in a frame. Again, I think both would be useful.

The general principle is that guides could be independent or defined by/anchored to objects, just like objects could be independent or anchored to guides.

Kunda

2016-05-14 19:35

manager   ~0041049

Merging duplicate 0008483 in to this ticket.

Kunda

2016-05-14 19:42

manager   ~0041050

ale writes in duplicate 0008483
 When placing text frames, it should be possible to snap the baseline of each text line (or at least the first line) to the guides beneath.
not easy to work with when there are many guides around and many lines in the text... but i think that this would be a useful feature!

It may be a style / PP setting to activate snapping for the text to simplify the frame movements.


Christoph replies to ale
This is definitely not the way to go, because it will be a usability nightmare and also very hard to implement (and therefore error-prone).

What we need instead is customisable baselines per frame.


Ale replies to Christoph
inkscape does it (only for the first line in the frame) and i can still sleep at night... :-) 

Kunda

2016-05-14 20:22

manager   ~0041053

Renamed ticket to: "snap to baseline grid"
Original name: "Why don't make also base lines snapping?"

Kunda

2016-05-14 20:25

manager   ~0041054

Merging duplicate 0011038
the snap mode defined in 0011037 should also be available in snap to item mode.

there should probably be a simple and fast way to enable / disable it, in order to avoid having too many snapping lines.

Issue History

Date Modified Username Field Change
2005-12-05 13:16 kavs0007 New Issue
2006-01-16 22:46 plinnell Severity minor => feature
2006-01-16 22:46 plinnell Status new => acknowledged
2006-01-16 22:46 plinnell Product Version 1.3.2cvs => 1.3.3cvs
2006-03-08 18:41 PLucAuclair Note Added: 0009162
2006-03-13 20:34 mkoren Note Added: 0009238
2006-04-13 11:09 louisdesjardins Note Added: 0009884
2006-04-14 17:16 mkoren Note Added: 0009963
2006-04-20 19:14 mhanski Relationship added related to 0003538
2006-05-24 19:31 christoph_s Relationship added related to 0003865
2009-12-06 18:41 jghali Relationship added has duplicate 0008483
2012-08-19 12:39 ale Relationship added related to 0011038
2016-05-10 15:33 Kunda Tag Attached: snapping
2016-05-14 19:35 Kunda Note Added: 0041049
2016-05-14 19:36 Kunda Patch => No
2016-05-14 19:36 Kunda Description Updated View Revisions
2016-05-14 19:37 Kunda Description Updated View Revisions
2016-05-14 19:42 Kunda Note Added: 0041050
2016-05-14 19:42 Kunda Description Updated View Revisions
2016-05-14 19:42 Kunda Additional Information Updated View Revisions
2016-05-14 20:16 Kunda Relationship added related to 0003052
2016-05-14 20:22 Kunda Note Added: 0041053
2016-05-14 20:22 Kunda OS Ubuntu =>
2016-05-14 20:22 Kunda OS Version 5.10 =>
2016-05-14 20:22 Kunda Platform Linux =>
2016-05-14 20:25 Kunda Note Added: 0041054
2016-05-14 20:26 Kunda Relationship replaced has duplicate 0011038
2016-05-14 20:27 Kunda Summary Why don't make also base lines snapping? => snap to baseline grid
2016-05-14 20:27 Kunda Relationship added related to 0003723
2016-05-14 20:27 Kunda Relationship added related to 0011037